package ro.ieval.unical;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.GregorianCalendar;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.widget.TextView;

public class DisplayEventActivity extends Activity {
	public static final String EXTRA_EVENT = "event";

	public static void displayEvent(final Context context, final Event event){
		final Intent i=new Intent(context,DisplayEventActivity.class);
		i.putExtra(DisplayEventActivity.EXTRA_EVENT, event);
		context.startActivity(i);
	}

	@Override
	protected void onCreate(final Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		final Event e=getIntent().getParcelableExtra(EXTRA_EVENT);
		setContentView(R.layout.event_view);
		setTitle(e.title);
		
	    final TextView startday= (TextView) findViewById(R.id.startday);
	    final TextView endday= (TextView) findViewById(R.id.endday);
	    final TextView startdate= (TextView) findViewById(R.id.startdate);
	    final TextView enddate= (TextView) findViewById(R.id.enddate);
	    final TextView starttime= (TextView) findViewById(R.id.starttime);
	    final TextView endtime= (TextView) findViewById(R.id.endtime);
	    
	    GregorianCalendar cstart = new GregorianCalendar();
	    cstart.setTime(new Date(e.dtstart));
	    GregorianCalendar cend = new GregorianCalendar();
	    cend.setTime(new Date(e.dtend));
	    SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yyyy");
	    SimpleDateFormat stf = new SimpleDateFormat("kk:mm:ss");
	    
	    startday.setText(CalendarUtils.DayToString(this,cstart));
	    if(CalendarUtils.DayToString(this,cstart)!=CalendarUtils.DayToString(this, cend))
	    	endday.setText(CalendarUtils.DayToString(this, cend));
	    startdate.setText(sdf.format(cstart.getTime()));
	    if(sdf.format(cstart.getTime())!=sdf.format(cend.getTime()))
	    	enddate.setText(sdf.format(cend.getTime()));
	    starttime.setText(stf.format(cstart.getTime()));
	    endtime.setText(stf.format(cend.getTime()));
	}
	
	@Override
	public boolean onCreateOptionsMenu(final Menu menu) {
		final MenuInflater inflater = getMenuInflater();
	    inflater.inflate(R.menu.event, menu);
		return true;
	}
	
	@Override
	public boolean onOptionsItemSelected(final MenuItem item) {
	    // Handle item selection
	    switch (item. getItemId()) {
	        case R.id.NewEvent:
	        	final Intent i=new Intent(this,AddEventActivity.class);
				startActivity(i);
	            return true;
	        case R.id.deleteevent:
	        	final DeleteEventDialog d=new DeleteEventDialog();
	        	d.show(getFragmentManager(), "Delete");
	        	return true;
	        case R.id.eventlist:
	        	final Intent it=new Intent(this,EventListActivity.class);
	        	startActivity(it);
	        	return true;
	        default:
	            return true;
	    }
	}
}
